org.modeshape.jcr

## Class TextExtractors

- java.lang.Object
- - org.modeshape.jcr.TextExtractors

-     @Immutable
      public final class TextExtractors
      extends Object

  Facility for managing `TextExtractor` instances and submitting text extraction work

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `TextExtractors.Worker` A unit of work which extracts text from a binary value, stores that text in a store and notifies a latch that the extraction operation has finished.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextExtractors(ExecutorService extractingQueue, boolean fullTextSearchEnabled, List<TextExtractor> extractors)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CountDownLatch` | `extract(AbstractBinaryStore store, BinaryValue binaryValue, TextExtractor.Context context)`
    `String` | `extract(InMemoryBinaryValue inMemoryBinaryValue, TextExtractor.Context context)`
    `boolean` | `extractionEnabled()`
    `CountDownLatch` | `getWorkerLatch(BinaryKey binaryKey, boolean createIfMissing)`
    `protected void` | `shutdown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextExtractors

          public TextExtractors(ExecutorService extractingQueue,
                        boolean fullTextSearchEnabled,
                        List<TextExtractor> extractors)

  - ### Method Detail

    - #### shutdown

          protected void shutdown()

    - #### extractionEnabled

          public boolean extractionEnabled()

    - #### extract

          public String extract(InMemoryBinaryValue inMemoryBinaryValue,
                       TextExtractor.Context context)

    - #### extract

          public CountDownLatch extract(AbstractBinaryStore store,
                               BinaryValue binaryValue,
                               TextExtractor.Context context)

    - #### getWorkerLatch

          public CountDownLatch getWorkerLatch(BinaryKey binaryKey,
                                      boolean createIfMissing)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.